#!/bin/sh

IRRLICHT_VERSION='6186'

set -e

svn export -r "${IRRLICHT_VERSION}" svn://svn.code.sf.net/p/irrlicht/code/branches/ogl-es irrlicht
cd irrlicht

disable_feature() {
    sed -i "s/^#define $1.*\$//g" include/IrrCompileConfig.h
}
enable_feature() {
    sed -i "s/^#ifdef NO$1.*\$/#ifndef $1\n#define $1\n#endif\n#if 0/g" include/IrrCompileConfig.h
}

disable_feature _IRR_COMPILE_WITH_OPENGL_
disable_feature _IRR_COMPILE_WITH_OGLES2_
disable_feature _IRR_COMPILE_WITH_WEBGL1_
disable_feature _IRR_COMPILE_WITH_SOFTWARE_
disable_feature _IRR_COMPILE_WITH_BURNINGSVIDEO_
enable_feature _IRR_COMPILE_WITH_OGLES1_
enable_feature _IRR_LINUX_X11_XINPUT2_

cd source/Irrlicht

make NDEBUG=1 CC=aarch64-linux-gnu-gcc CXX=aarch64-linux-gnu-g++ -j$(nproc)
